rust-glib-sys (0.22.8-2build1) stonking; urgency=medium

  * No-change rebuild for glib 2.89.2

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 28 Jul 2026 15:48:20 +0200

rust-glib-sys (0.22.8-2) unstable; urgency=medium

  * Team upload
  * Package glib-sys 0.22.8 from crates.io using debcargo 2.8.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Jul 2026 19:08:22 +0200

rust-glib-sys (0.22.8-1) unstable; urgency=medium

  * Team upload
  * Package glib-sys 0.22.8 from crates.io using debcargo 2.8.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Jul 2026 21:20:06 +0200

rust-glib-sys (0.22.6-4) unstable; urgency=medium

  * Set package to MA:no (Closes: #1137506)
  * Mark v2_90 feature as flaky (Closes: #1137578) 

 -- Matthias Geiger <werdahias@debian.org>  Tue, 26 May 2026 13:23:28 +0200

rust-glib-sys (0.22.6-3) unstable; urgency=medium

  * Fix deletion of gir files (Closes: #1137261)

 -- Matthias Geiger <werdahias@debian.org>  Thu, 21 May 2026 22:19:18 +0200

rust-glib-sys (0.22.6-2) unstable; urgency=medium

  * Package glib-sys 0.22.6 from crates.io using debcargo 2.8.2
  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Tue, 19 May 2026 15:37:35 +0200

rust-glib-sys (0.22.6-1) experimental; urgency=medium

  * Package glib-sys 0.22.6 from crates.io using debcargo 2.8.2

 -- Matthias Geiger <werdahias@debian.org>  Thu, 14 May 2026 15:50:46 +0200

rust-glib-sys (0.22.3-1) experimental; urgency=medium

  * Package glib-sys 0.22.3 from crates.io using debcargo 2.8.2
  * Re-enable regeneration; build against glib2.0 2.87.3

 -- Matthias Geiger <werdahias@debian.org>  Sun, 15 Mar 2026 01:03:38 +0100

rust-glib-sys (0.22.0-1) experimental; urgency=medium

  * Package glib-sys 0.22.0 from crates.io using debcargo 2.8.1

 -- Matthias Geiger <werdahias@debian.org>  Sun, 22 Feb 2026 19:28:10 +0100

rust-glib-sys (0.21.5-3) unstable; urgency=medium

  * Team upload
  * Package glib-sys 0.21.5 from crates.io using debcargo 2.7.11
  * Remove glib 2.87 patch
  * Remove regneration of source code until 0.22 is available.
    rust-glib 0.21 doesn't support glib 2.87/2.88.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Feb 2026 21:28:46 -0500

rust-glib-sys (0.21.5-2) unstable; urgency=medium

  * Team upload
  * Package glib-sys 0.21.5 from crates.io using debcargo 2.7.11
  * Build with glib2.0 2.87

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Feb 2026 18:02:29 -0500

rust-glib-sys (0.21.5-1) unstable; urgency=medium

  * Team upload
  * Package glib-sys 0.21.5 from crates.io using debcargo 2.7.11

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 8 Dec 2025 15:01:07 -0500

rust-glib-sys (0.21.2-3) unstable; urgency=medium

  * Team upload
  * Package glib-sys 0.21.2 from crates.io using debcargo 2.7.11
  * Bump minimum glib to 2.86
  * Stop marking v2_86 feature as flaky

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 22:01:35 -0400

rust-glib-sys (0.21.2-2) unstable; urgency=medium

  * Team upload
  * Package glib-sys 0.21.2 from crates.io using debcargo 2.7.10
  * Use deb-gir-tool insted of libgirepository1.0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 09 Oct 2025 19:59:38 -0400

rust-glib-sys (0.21.2-1) unstable; urgency=medium

  * Team upload
  * Package glib-sys 0.21.2 from crates.io using debcargo 2.7.10

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Sep 2025 11:40:27 -0400

rust-glib-sys (0.21.1-2) unstable; urgency=medium

  * Team upload
  * Package glib-sys 0.21.1 from crates.io using debcargo 2.7.10
  * Upload to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Sep 2025 16:43:30 -0400

rust-glib-sys (0.21.1-1) experimental; urgency=medium

  * Team upload
  * Package glib-sys 0.21.1 from crates.io using debcargo 2.7.8

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Aug 2025 17:23:46 -0400

rust-glib-sys (0.21.0-1) experimental; urgency=medium

  * Package glib-sys 0.21.0 from crates.io using debcargo 2.7.8
  * Mark v2_86 feature as flaky
  * Depend on gir-rust-code-generator 0.21

 -- Matthias Geiger <werdahias@debian.org>  Mon, 28 Jul 2025 14:57:05 +0200

rust-glib-sys (0.20.9-1) unstable; urgency=medium

  * Team upload
  * Package glib-sys 0.20.9 from crates.io using debcargo 2.7.6

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Feb 2025 10:19:17 -0500

rust-glib-sys (0.20.7-2) unstable; urgency=medium

  * Team upload
  * Package glib-sys 0.20.7 from crates.io using debcargo 2.7.6
  * Unmark v2_84 test as flaky and bump minimum glib

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Feb 2025 21:29:31 -0500

rust-glib-sys (0.20.7-1) unstable; urgency=medium

  * Package glib-sys 0.20.7 from crates.io using debcargo 2.7.5

 -- Matthias Geiger <werdahias@debian.org>  Sun, 22 Dec 2024 20:43:35 +0100

rust-glib-sys (0.20.6-2) unstable; urgency=medium

  * Mark v2_84 feature as flaky

 -- Matthias Geiger <werdahias@debian.org>  Tue, 10 Dec 2024 23:05:17 +0100

rust-glib-sys (0.20.6-1) unstable; urgency=medium

  * Package glib-sys 0.20.6 from crates.io using debcargo 2.7.5

 -- Matthias Geiger <werdahias@debian.org>  Tue, 10 Dec 2024 11:04:47 +0100

rust-glib-sys (0.20.4-1) unstable; urgency=medium

  * Package glib-sys 0.20.4 from crates.io using debcargo 2.7.0

 -- Matthias Geiger <werdahias@debian.org>  Mon, 30 Sep 2024 16:35:05 +0200

rust-glib-sys (0.20.2-1) unstable; urgency=medium

  * Team upload.
  * Package glib-sys 0.20.2 from crates.io using debcargo 2.6.1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 2 Sep 2024 09:40:26 -0400

rust-glib-sys (0.20.0-2) unstable; urgency=medium

  * Team upload.
  * Package glib-sys 0.20.0 from crates.io using debcargo 2.6.1
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Aug 2024 11:37:58 -0400

rust-glib-sys (0.20.0-1) experimental; urgency=medium

  * Bump gir-rust-code-generator dependency to >= 0.20 
  * Package glib-sys 0.20.0 from crates.io using debcargo 2.6.1

 -- Matthias Geiger <werdahias@debian.org>  Sat, 10 Aug 2024 13:34:11 +0200

rust-glib-sys (0.19.5-2) unstable; urgency=medium

  * Upload to unstable 

 -- Matthias Geiger <werdahias@riseup.net>  Sat, 04 May 2024 17:42:21 +0200

rust-glib-sys (0.19.5-1) experimental; urgency=medium

  * Package glib-sys 0.19.5 from crates.io using debcargo 2.6.1
  * Dropped patches, upstreamed
  * Build depend on gir-rust-code-generator >= 0.19.1, libglib2.0-dev >= 2.80
  * Version test-dependency on libglib2.0-dev

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 03 May 2024 16:59:59 +0200

rust-glib-sys (0.19.0-3) experimental; urgency=medium

  * Team upload
  * debian/patches/gir-type-size.patch: Replace the patch to remove
    problematic types instead.
  * debian/patches/add-missing-headers-definitions.patch: Replace the patch
    with the upstream variant.

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 17 Apr 2024 10:07:04 -0600

rust-glib-sys (0.19.0-2) experimental; urgency=medium

  * Team upload
  * Package glib-sys 0.19.0 from crates.io using debcargo 2.6.1

  [ Zixing Liu ]
  * debian/patches/add-missing-headers-definitions.patch: Add missing
    glib headers to the tests to fix build with glib 2.80 (LP: #2061202)
  * debian/patches/gir-type-size.patch: Add a patch to fix GIR type size
    comparison. (LP: #2061202)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Apr 2024 08:40:23 -0400

rust-glib-sys (0.19.0-1) experimental; urgency=medium

  * Package glib-sys 0.19.0 from crates.io using debcargo 2.6.1
  * Updated copyright years and adjusted source url
  * Properly build-depend on packages needed for regeneration
  * Versioned gir-rust-code-generator dependency
  * Test-depend on libglib2.0-dev
  * Marked v2_80 feature as broken

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 07 Feb 2024 11:20:13 +0100

rust-glib-sys (0.18.1-2) unstable; urgency=medium

  * Team upload
  * Package glib-sys 0.18.1 from crates.io using debcargo 2.6.0
  * Drop obsolete MSRV patch
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Sep 2023 14:32:10 -0400

rust-glib-sys (0.18.1-1) experimental; urgency=medium

  * Package glib-sys 0.18.1 from crates.io using debcargo 2.6.0
  * Included patch for MSRV downgrade
  * Regenerate source code with debian tools before build (Closes:
    #1017905)

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 08 Sep 2023 20:28:42 +0200

rust-glib-sys (0.17.10-1) unstable; urgency=medium

  * Team upload.
  * Package glib-sys 0.17.10 from crates.io using debcargo 2.6.0
  * Removed inactive uploader, added my new mail address
  * Tests pass now; removed indication that they are broken

 -- Matthias Geiger <werdahias@riseup.net>  Tue, 01 Aug 2023 23:48:21 +0200

rust-glib-sys (0.16.3-2) unstable; urgency=medium

  * Package glib-sys 0.16.3 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 25 Jun 2023 20:31:34 +0200

rust-glib-sys (0.16.3-1) experimental; urgency=medium

  * Team upload.
  * Package glib-sys 0.16.3 from crates.io using debcargo 2.6.0
  * Added myself to uploaders
  * Added collapse_features
  * Dropped obsolete patches

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 20 May 2023 15:24:21 +0200

rust-glib-sys (0.14.0-2) unstable; urgency=medium

  * debian/patches: Update to system-deps 6.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Oct 2022 09:29:27 +0200

rust-glib-sys (0.14.0-1) unstable; urgency=medium

  * Package glib-sys 0.14.0 from crates.io using debcargo 2.4.4

  [ Sylvestre Ledru ]
  * Team upload.
  * Package glib-sys 0.10.1 from crates.io using debcargo 2.4.3

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sun, 28 Nov 2021 23:11:47 +0100

rust-glib-sys (0.9.1-1) experimental; urgency=medium

  * Package glib-sys 0.9.1 from crates.io using debcargo 2.4.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Tue, 17 Dec 2019 10:27:06 +0100

rust-glib-sys (0.9.0-3) unstable; urgency=medium

  * Team upload.
  * Package glib-sys 0.9.0 from crates.io using debcargo 2.2.10
  * Source upload for migration

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Aug 2019 18:23:21 +0200

rust-glib-sys (0.9.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with no changes.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 19 Jul 2019 11:34:22 -0300

rust-glib-sys (0.9.0-1) unstable; urgency=medium

  * Package glib-sys 0.9.0 from crates.io using debcargo 2.3.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Mon, 08 Jul 2019 05:10:00 +0200

rust-glib-sys (0.7.0-2) unstable; urgency=medium

  * Make libglib2.0-dev a run-time dependency

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Mon, 22 Oct 2018 14:11:07 +0200

rust-glib-sys (0.7.0-1) unstable; urgency=medium

  * Package glib-sys 0.7.0 from crates.io using debcargo 2.2.7

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Thu, 04 Oct 2018 22:59:49 +0200
